Description

When trying to change a value in http://myforemanurl/settings in Foreman 1.1RC5, the field does not save and switches back to its

default (or whatever the value was previously).  This happens to me in Firefox 18.0.1 and IE 9.

This only applies to text fields, e.g. administrator (The default administrator email address).  The fields with the dropdowns that have

save buttons do not have the issue and save properly.

Via Firebug, I do not see any POST/GET requests occurring in the Net tab (I do see a POST request for drop-down saves).  Perhaps

the javascript just isn't hooked up properly.

Let me know if you need more info.   Looking great otherwise, keep up the great work everyone.

History

#1 - 02/04/2013 01:31 PM - Ohad Levy

did you actually hit the enter key?

#2 - 02/04/2013 04:04 PM - Jason Ashby

doh!  hitting the enter key does the trick.  I supposed I was confused, thinking a Save button would appear upon unfocusing the text field, much like

the drop-down fields do.

#3 - 02/04/2013 04:04 PM - Greg Sutcliffe

That's probably an inconsistency we should fix then :)

#4 - 07/12/2018 06:42 AM - Ohad Levy

- Description updated

- Status changed from New to Resolved

- Triaged set to No

this issue has been resolved already.
